.nowLoading {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	background-color: rgba(255, 255, 255, 0.75);
	z-index: 10001;
}
.nowLoading .nowLoadingImg {
    text-align: center;
    left: calc(50% - 50px);
    position: absolute;
    top: 45%;
}
.loadingAnalyzeImg {
    text-align: center;
    left: calc(50% - 50px);
    position: absolute;
    top: 45%;
}

#mapArea {
    width: 100%;
    height: 100%;
    position:absolute;
    left: 0;
    top: 0;
    z-index: 0;
}

/* -----------------------------------------------
    ボタン
-------------------------------------------------- */
.control-btn{
    position:absolute;
    bottom:5%;
    right:20px;
    z-index: 999;
}
.control-btn{
    position:absolute;
    bottom:5%;
    right:20px;
    z-index: 999;
}
.control-btn.disabled{
	cursor: not-allowed;
}
.control-btn label{
    width:54px;
    height:54px;
    text-align:center;
    background:#0068B6;
    display: block;
    cursor: pointer;
    transition: all 0.2s;
    padding-top:8px;
    margin: 0 0 8px 0;
    border-radius: 100px;
}
.control-btn label:hover {
    background:#00A63C;
}
.control-btn label.active {
    background:#00A63C !important;
}
.control-btn label.gray {
	background:lightgray !important;
}

/* -----------------------------------------------
	解析対象入力
-------------------------------------------------- */
.measurementBox{
	position:absolute;
	top:15px;
	left:50px;
}
.measurementBox.ui-dialog{
	padding:0;
	border-radius:0;
}
.measurementBox .ui-dialog-titlebar-close{
	width: 18px;
	height: 18px;
	position: absolute;
	right:8px;
	top: 8px;
	margin:0;
	padding:0;
}
.measurementBox .ui-widget-header{
	font-size:15px;
	font-weight:normal;
	line-height:1.0;
	color:#FFF;
	background:#0068B6;
	border:none;
	border-radius:0;
	padding:8px 10px;
}
.measurementBox .ui-state-active,
.measurementBox .ui-widget-content .ui-state-active,
.measurementBox .ui-widget-header .ui-state-active,
.measurementBox a.ui-button:active,.ui-button:active,
.measurementBox .ui-button.ui-state-active:hover{
	border:none;
	background:#FFF;
	font-weight:normal;
	color:#fff
}
.measurementBox .ui-widget-content{
	word-break: break-all;
	overflow-y:auto;
	padding:0;
}
.measurementBox .ui-widget-content::-webkit-scrollbar{width: 8px;}
.measurementBox .ui-widget-content::-webkit-scrollbar-track {background: #f1f1f1;}
.measurementBox .ui-widget-content::-webkit-scrollbar-thumb {background:#C1C1C1;}

.ui-dialog-titlebar-close {
	width: 20px !important;
	height: 20px !important;
	outline:none !important;
	position: absolute;
	right: 9px;
	top: 7px !important;
	margin: 0;
	padding: 0;
}

/* 解析対象入力エリア【analysisArea】 */
.measurementBox .analysisArea{
	padding:10px 15px;
}
.analysisArea ul{
	list-style-type: none;
	margin:0 0 20px 0;
}
.analysisArea li{
	float:left;
	min-height:200px;
	font-size:13px;
	margin-right:15px;
}
.analysisArea li:nth-child(1),
.analysisArea li:nth-child(3){
	width:240px;
}
.analysisArea li:nth-child(2){
	width:170px;
}
.analysisArea li:nth-child(4){
	width:210px;
}
.analysisArea li:nth-child(5){
	width:250px;
}
.analysisArea li:last-child{margin-right:0;}
.analysisArea dl{}
.analysisArea b{
	display:block;
	border-bottom:1px #000 solid;
	padding-bottom:3px;
	margin-bottom:5px;
}
.analysisArea dt{
	float:left;
	width:30%;
	font-weight:normal;
	margin-top:3px;
}
.analysisArea dt.fonts{
	font-size:12px;
}
.analysisArea dd{
	float:left;
	width:70%;
	margin-top:3px;
}
.analysisArea input{
	height: auto !important;
	margin:0 3px !important;
	padding: 0 2px !important;
    display: inline-block;
	border-radius: 0;
}
.measurementBox .btn-primary,
.crosssectionBox .btn-primary{
    color: #fff;
    background-color:#00A63C;
    border-color: #00A63C;
}

/* ダイアログ アイコン */
.ui-icon-triangle-1-s{background:url(../img/dialog_down.png) no-repeat !important;}
.ui-icon-triangle-1-n{background:url(../img/dialog_up.png) no-repeat !important;}
.ui-icon-closethick{background:url(../img/dialog_close.png) no-repeat !important;}
.ui-button-icon-only .ui-icon {
	position: absolute !important;
	top: 57.5% !important;
	left: 57.5% !important;
}

/* ダイアログ 最小化 */
.measurementBox .ui-dialog-titlebar-collapse,
.measurementBox .ui-dialog-titlebar-collapse-restore,
.crosssectionBox .ui-dialog-titlebar-collapse,
.crosssectionBox .ui-dialog-titlebar-collapse-restore {
	position: absolute !important;
	right: 35px !important;
	top: 50% !important;
	width: 20px !important;
	margin: -10px 0 0 0;
	padding: 1px;
	height: 20px;
 }
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
	border: none !important;
	background: #fff !important;
}
.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus, .ui-button:hover, .ui-button:focus {
	border: none !important;
	background: #fff !important;
}
.ui-enable:disabled {
	border: none !important;
	background: lightgray !important;
	cursor: not-allowed;
}
input.ui-enable:disabled {
	border: solid !important;
	border-width: 1px !important;
	border-color: lightgray !important;
	background: whitesmoke !important;
	cursor: auto;
}

/* -----------------------------------------------
	断面図
-------------------------------------------------- */
.form-control:valid {
    background-image: none !important;
}
.form-control:invalid {
	background-image: none !important;
}

#profile_titlebar {
    position: relative;
	font-size: 15px;
	font-weight: normal;
	line-height: 1.0;
	color: #FFF;
	background: #0068B6;
	border: none;
	border-radius: 0;
	padding: 8px 10px;
	text-shadow: none;
	cursor: move;
}
#profile_window_title {
	margin: 2px;
}
.ui-dialog-titlebar-collapse, .ui-dialog-titlebar-collapse-restore {
    position: absolute !important;
    right: 35px !important;
    top: 50% !important;
    width: 20px !important;
    margin: -10px 0 0 0;
    padding: 1px;
    height: 20px;
}
.crosssectionBox{
	position:absolute;
	top:430px;
	left:50px;
}
.crosssectionBox.ui-dialog{
	padding:0;
	border-radius:0;
}
.crosssectionBox .ui-dialog-titlebar-close{
    width: 18px;
    height: 18px;
    position: absolute;
    right:8px;
    top: 8px;
    margin:0;
    padding:0;
}
.crosssectionBox .ui-state-active,
.crosssectionBox .ui-widget-content .ui-state-active,
.crosssectionBox .ui-widget-header .ui-state-active,
.crosssectionBox a.ui-button:active,.ui-button:active,
.crosssectionBox .ui-button.ui-state-active:hover{
	border:none;
	background:#FFF;
	font-weight:normal;
	color:#fff
}
.crosssectionBox .ui-widget-header{
	font-size:15px;
	font-weight:normal;
	line-height:1.0;
	color:#FFF;
	background:#0068B6;
	border:none;
	border-radius:0;
	padding:8px 10px;
}
.crosssectionBox .ui-widget-content{
	word-break: break-all;
	overflow:hidden;
	padding:10px 20px;
}

/* 断面図エリア【chartArea】 */
#chartArea {
	width:100%;
	padding:0;
}
#chartArea, #chartLeft{
	/*float:left;*/
	width:100%;
	height:100%;
}
#chartLeft svg{
	width: 100%;
	height: 330px;	/* チャート高さ */
	display: block;
	margin: 0;
	padding: 0;
}
#chartArea, #chartRight{
    line-height: 0.5;
}
#chartRight table{
	width:100%;
	border:#ddd 1px solid;
	margin: 6px 0px;
}
#chartRight table tr:nth-child(odd) {
    background: #f1f1f1;
}
#chartRight table th{
	font-size:15px;
	padding:3%;
}
#chartRight span{
	font-size:12px;
	display:block;
}
#chartRight table td{
	font-size:13px;
	color: #333;
	text-align:right;
	padding:3%;
}

div.crosssectionBtn {text-align:center;}
div.crosssectionBtn button {
    margin-top: 15px;
    width: 120px;
}

/* -----------------------------------------------
	凡例
-------------------------------------------------- */
#legend {
	position: absolute;
	z-index: 99;
	top: 10px;
	right: 10px;
    background: white;
	border-radius: 20px;
	padding: 15px;
	line-height: 18px;
}
ul.legend-items {
	margin-bottom: 0.4rem;
}
ul.legend-items li {
	display: inline-block;
}
ul.legend-items label {
	cursor: pointer;
	margin-top: 7px;
	font-size: 0.9rem;
}
/* カスタムチェックボックスここから */
.custom-control-label::before {
	display: none;
}
.custom-control-label::after {
    cursor: pointer;
}
input[type=checkbox] {
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
	position: relative;
	right: 0;
	bottom: 0;
	left: 0;
	height: 20px;
	width: 20px;
	vertical-align: -0.8rem;
	/*transition:all .15s ease-out 0s;*/
	color: #fff;
	cursor: pointer;
	display: inline-block;
	margin: .4rem;
	outline: none;
	border-radius: 10%;
}
input[type=checkbox]:before,input[type=checkbox]:after {
	position: absolute;
	content: "";
	background: #fff;
	/*transition: all .2s ease-in-out;*/
}
input[type=checkbox].notTroubleTree:before,input[type=checkbox].notTroubleTree:after {
	position: absolute;
	content: "";
	background: saddlebrown;
	/*transition: all .2s ease-in-out;*/
}
input[type=checkbox]:before {
	left: 2px;
	top: 6px;
	width: 0;
	height: 2px;
	transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
}
input[type=checkbox]:after {
	right: 9px;
	bottom: 3px;
	width: 2px;
	height: 0;
	transform: rotate(40deg);
	-webkit-transform: rotate(40deg);
	-moz-transform: rotate(40deg);
	-ms-transform: rotate(40deg);
	-o-transform: rotate(40deg);
	/*transition-delay: .2s;*/
}
input[type=checkbox]:checked:before {
	left: 1px;
	top: 10px;
	width: 6px;
	height: 2px;
}
input[type=checkbox]:checked:after {
	right: 5px;
	bottom: 1px;
	width: 2px;
	height: 14px;
}
input[type=checkbox]:indeterminate:before,input[type=checkbox]:indeterminate:after {
	width: 7px;
	height: 2px;
	transform: rotate(0);
	-webkit-transform: rotate(0);
	-moz-transform: rotate(0);
	-ms-transform: rotate(0);
	-o-transform: rotate(0);
}
input[type=checkbox]:indeterminate:before {
	left: 1px;
	top: 7px;
}
input[type=checkbox]:indeterminate:after {
	right: 1px;
	bottom: 7px;
}
input[type=checkbox].allTree {
	border: 2px solid gray;
}
input[type=checkbox].allTree:checked,input[type=checkbox].allTree:indeterminate {
	background: gray;
}
input[type=checkbox].rotTree {
	border: 2px solid deepskyblue;
}
input[type=checkbox].rotTree:checked,input[type=checkbox].rotTree:indeterminate {
	background: deepskyblue;
}
input[type=checkbox].troubleTree {
	border: 2px solid red;
}
input[type=checkbox].troubleTree:checked,input[type=checkbox].troubleTree:indeterminate {
	background: red;
}
input[type=checkbox].troubleTreeClearance {
	border: 2px solid pink;
}
input[type=checkbox].troubleTreeClearance:checked,input[type=checkbox].troubleTreeClearance:indeterminate {
	background: pink;
}
input[type=checkbox].notTroubleTree {
	border: 2px solid yellow;
}
input[type=checkbox].notTroubleTree:checked,input[type=checkbox].notTroubleTree:indeterminate {
	background: yellow;
}
input[type=checkbox].otherTree {
	border: 2px solid deepskyblue;
}
input[type=checkbox].otherTree:checked,input[type=checkbox].otherTree:indeterminate {
	background: deepskyblue;
}
input[type=checkbox].ref {
	border: 2px solid orange;
}
input[type=checkbox].ref:checked,input[type=checkbox].ref:indeterminate {
	background: orange;
}
input[type=checkbox].refDrone {
	border: 2px solid magenta;
}
input[type=checkbox].refDrone:checked,input[type=checkbox].refDrone:indeterminate {
	background: magenta;
}
input[type=checkbox].opp {
	border: 2px solid purple;
}
input[type=checkbox].opp:checked,input[type=checkbox].opp:indeterminate {
	background: purple;
}
/* app.js境界の色の定義順序に比例 */
input[type=checkbox].borderArea0 {
	border: 2px solid #ffff7f;
}
input[type=checkbox].borderArea0:checked,input[type=checkbox].borderArea0:indeterminate {
	background: #ffff7f;
}
input[type=checkbox].borderArea0:before,input[type=checkbox].borderArea0:after {
	position: absolute;
	content: "";
	background: saddlebrown;
	/*transition: all .2s ease-in-out;*/
}
input[type=checkbox].borderArea1 {
	border: 2px solid #ff7f7f;
}
input[type=checkbox].borderArea1:checked,input[type=checkbox].borderArea1:indeterminate {
	background: #ff7f7f;
}
input[type=checkbox].borderArea2 {
	border: 2px solid #7fff7f;
}
input[type=checkbox].borderArea2:checked,input[type=checkbox].borderArea2:indeterminate {
	background: #7fff7f;
}
input[type=checkbox].borderArea3 {
	border: 2px solid #ff7fbf;
}
input[type=checkbox].borderArea3:checked,input[type=checkbox].borderArea3:indeterminate {
	background: #ff7fbf;
}
input[type=checkbox].borderArea4 {
	border: 2px solid #7fbfff;
}
input[type=checkbox].borderArea4:checked,input[type=checkbox].borderArea4:indeterminate {
	background: #7fbfff;
}
input[type=checkbox].borderArea5 {
	border: 2px solid #ff7fff;
}
input[type=checkbox].borderArea5:checked,input[type=checkbox].borderArea5:indeterminate {
	background: #ff7fff;
}
input[type=checkbox].borderArea6 {
	border: 2px solid #bf7fff;
}
input[type=checkbox].borderArea6:checked,input[type=checkbox].borderArea6:indeterminate {
	background: #bf7fff;
}
input[type=checkbox].borderArea7 {
	border: 2px solid #7f7fff;
}
input[type=checkbox].borderArea7:checked,input[type=checkbox].borderArea7:indeterminate {
	background: #7f7fff;
}
input[type=checkbox].borderArea8 {
	border: 2px solid #7fffff;
}
input[type=checkbox].borderArea8:checked,input[type=checkbox].borderArea8:indeterminate {
	background: #7fffff;
}
input[type=checkbox].borderArea9 {
	border: 2px solid #7fffbf;
}
input[type=checkbox].borderArea9:checked,input[type=checkbox].borderArea9:indeterminate {
	background: #7fffbf;
}
input[type=checkbox].borderArea10 {
	border: 2px solid #bfff7f;
}
input[type=checkbox].borderArea10:checked,input[type=checkbox].borderArea10:indeterminate {
	background: #bfff7f;
}
input[type=checkbox].borderArea11 {
	border: 2px solid #ffbf7f;
}
input[type=checkbox].borderArea11:checked,input[type=checkbox].borderArea11:indeterminate {
	background: #ffbf7f;
}

/* カスタムチェックボックスここまで */

/* -----------------------------------------------
	樹冠のポップアップ（2D）
-------------------------------------------------- */
.leaflet-popup-content-wrapper, .leaflet-popup-tip {
	background: white;
	color: #333;
	box-shadow: 0 3px 14px rgba(0,0,0,0.4);
}
.leaflet-container a.leaflet-popup-close-button {
	color: #aaa !important;
	top: 5px !important;
	right: 5px !important;
}
.leaflet-popup-content-wrapper h4{
	font-size: 1.4em;
	line-height: 0em;
	color:#444;
}
/* -----------------------------------------------
	樹冠のポップアップ（3D）
-------------------------------------------------- */
.pointcloud-popup {
	width: 210px;
	position: relative;
	display: inline-block;
	margin: 1.5em 0;
	padding: 10px 24px;
	min-width: 120px;
	max-width: 100%;
	font-size: 16px;
	/*background: #e0edff;*/
	background: white;
	/*color: #555;*/
	color: #333;
	box-shadow: 0 3px 14px rgba(0,0,0,0.4);
	border-radius: 12px;
}
.pointcloud-popup h4 {
	font-size: 16.8px;
	line-height: 0em;
	color:#444;
	margin-bottom: 0px;
}
.pointcloud-popup:before {
	content: "";
	position: absolute;
	top: 100%;
	left: 50%;
	margin-left: -15px;
	border: 15px solid transparent;
	border-top: 15px solid #e0edff;
}
.pointcloud-popup p {
	margin: 0;
	padding: 0;
}
